<?php
namespace MobiCustomization\AutoCouponGeneration\Setup;

use Magento\Framework\Setup\InstallDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Customer\Model\Customer;
use Magento\Customer\Setup\CustomerSetupFactory;

class InstallData implements InstallDataInterface
{
 
    private $customerSetupFactory;
 
    /**
     * Constructor
     *
     * @param \Magento\Customer\Setup\CustomerSetupFactory $customerSetupFactory
     */
    public function __construct(
        CustomerSetupFactory $customerSetupFactory
    ) {
        $this->customerSetupFactory = $customerSetupFactory;
    }
 
    /**
     * {@inheritdoc}
     */
    public function install(
        ModuleDataSetupInterface $setup,
        ModuleContextInterface $context
    ) {
        $installer = $setup;
 
        $installer->startSetup();
 
        $installer->getConnection()->addColumn(
            $installer->getTable('salesrule'),
            'is_membership_discount_coupon',
            [
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
                'visible'  => true,
                'nullable' => true,
                'default' => 0,
                'comment' => 'set whether the created coupon is for membership discount'
            ]
        );

 
    }
}