<?php
/**
 * MobiCustomization_MembershipProduct
 *
 * @category  PHP
 * @package   MobiCustomization_MembershipProduct
 * @author    MobiCustomization <info@mobicommerce.net>
 * @copyright 2022 Copyright (c) MobiCommerce
 * @link      https://www.mobicommerce.net/
 */

namespace MobiCustomization\MembershipProduct\Model\Resolver\Product;
use \Magento\Catalog\Model\Product;

class GetisMembershipProduct implements \Magento\Framework\GraphQl\Query\ResolverInterface
{
    protected $productdata;

    public function __construct(
        Product $productdata
    ) {
        $this->productdata = $productdata;
    }
    
    public function resolve(
        \Magento\Framework\GraphQl\Config\Element\Field $field,
        $context,
        \Magento\Framework\GraphQl\Schema\Type\ResolveInfo $info,
        array $value = null,
        array $args = null
    ) {
        $product = $value['model'];
        $productdata = $this->productdata->load($product->getId());
        $isMembershipProduct = $productdata->getIsMembershipProduct();
        return $isMembershipProduct;
    }
}